Summary: SELinux binary policy manipulation library
Name: libsepol
Version: 3.5
Release: 3%{?dist}
License: LGPLv2+
URL: https://github.com/SELinuxProject/selinux/wiki
Source0: https://github.com/SELinuxProject/selinux/releases/download/%{version}/%{name}-%{version}.tar.gz
BuildRequires: gcc flex

%description
libsepol provides an API for the SELinux binary policies.
It is used by checkpolicy and similar tools, as well as
by programs like load_policy which need to perform specific
transformations on binary policies.

%package devel
Summary: Header files and libraries for building policy tools
Requires: %{name} = %{version}-%{release}
Provides:%{name}-static = %{version}-%{release}

%description devel
The libsepol-devel package contains the libraries and header files. 

%prep
%autosetup -n %{name}-%{version}

%build
%make_build LIBDIR="%{_libdir}"

%install
mkdir -p %{buildroot}/%{_libdir} 
mkdir -p %{buildroot}/%{_includedir} 
mkdir -p %{buildroot}/%{_bindir} 
mkdir -p %{buildroot}/%{_mandir}/man3
mkdir -p %{buildroot}/%{_mandir}/man8
%make_install LIBDIR="%{_libdir}" SHLIBDIR="%{_libdir}"
rm -f %{buildroot}/%{_bindir}/genpolbools
rm -f %{buildroot}/%{_bindir}/sepol*
rm -f %{buildroot}/%{_bindir}/chkcon
rm -f %{buildroot}/%{_bindir}/chkcon
rm -rf %{buildroot}/%{_mandir}/man8
rm -rf %{buildroot}/%{_mandir}/ru/man8

%files
%license LICENSE
%{_libdir}/libsepol.so.2

%files devel
%{_includedir}/sepol/*.h
%dir %{_includedir}/sepol
%dir %{_includedir}/sepol/policydb
%{_includedir}/sepol/policydb/*.h
%dir %{_includedir}/sepol/cil
%{_includedir}/sepol/cil/*.h
%{_libdir}/libsepol.so
%{_libdir}/pkgconfig/libsepol.pc
%{_libdir}/libsepol.a
%{_mandir}/man3/*.3.gz

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.5-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Jul 12 2023 Yi Lin <nilusyi@tencent.com> - 3.5-1
- upgrade to 3.5

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jul 20 2022 TAO WU <tallwu@tencent.com> - 3.4-1
- Initial build.
